# Tree-Structurer

This is a Python package designed to display directory structures in a tree-like format. This tool provides an easy-to-read overview of the directory hierarchy, making it easier for developers to navigate complex project structures.

#### Installation

To install `tree_structurer`, you can use pip:

```bash
 pip install git+https://gitea.fabelous.app/Fabel/Tree-Structurer.git

```

#### Usage

You can run `tree_structurer` from the command line. By default, it will analyze the current directory and print its structure in a tree-like format. You can also specify a path to another directory.

To display the directory structure of the current directory:

```bash
python -m tree_structurer
```

To display the directory structure of a specific directory:

```bash
python -m tree_structurer /path/to/directory
```

#### Options

- `-v` or `--verbose`: Show more detailed output, including information about the path being analyzed.

Example:

```bash
python -m tree_structurer /path/to/directory -v
```

#### Important Files and Folders Ignored

By default, `tree_structurer` ignores files and folders that start with `_` or `.`. However, it does include the following exceptions:

- `__init__.py` and `__main__.py` files: These are considered important and will be included in the output.
- Special folders like `build`, `.git`, `node_modules`, etc.: These are also ignored to keep the output focused on the essential parts of the directory structure.

#### Example Output

```
Analyzing directory: /path/to/directory:
├── main.py
├── module1
│   ├── __init__.py
│   └── submodule1.py
└── utils
    ├── helper.py
    └── constants.py
```
